darcs

Issue 2332 Attempting to enter default choice key literally gives unhelpful message

Title Attempting to enter default choice key literally gives unhelpful message
Priority Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List DaniilFrumin, owst
Assigned To
Topics

Created on 2013-07-19.13:20:05 by owst, last changed 2014-02-09.16:01:25 by noreply.

Messages
msg16915 (view) Author: owst Date: 2013-07-19.13:20:03
1. Summarise the issue (what were doing, what went wrong?)

If a user enters the default choice literally (as an uppercase letter)
darcs isn't very helpful:

 ~/code/darcs.net % darcs cha
Thu Jul  4 14:36:29 BST 2013  Guillaume Hoffmann <guillaumh@gmail.com>
  * update help of mark-conflicts
Shall I view this patch? (1/?) [yN...], or ? for more options: N
Invalid response, try again!

2. What behaviour were you expecting instead?

Darcs should tell me that the uppercase letter is a default:

 ~/code/darcs.net % darcs cha
Thu Jul  4 14:36:29 BST 2013  Guillaume Hoffmann <guillaumh@gmail.com>
  * update help of mark-conflicts
Shall I view this patch? (1/?) [yN...], or ? for more options: N
Invalid response: choices must be lowercase. The default choice is 
listed as uppercase, which is chosen by pressing <Space>.
msg16917 (view) Author: gh Date: 2013-07-19.13:34:15
Or it could just accept it, as there is no ambiguity.
msg16918 (view) Author: owst Date: 2013-07-19.13:40:46
Yes, you're right, that's better. So darcs should just accept the
default option in lower or upper case.
msg17143 (view) Author: DaniilFrumin Date: 2014-01-26.13:16:04
Is it always the case that there is no ambiguity? And if so, maybe it is
possible to just convert user input toLower in all the cases?
msg17189 (view) Author: noreply Date: 2014-02-09.16:01:24
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2332 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2332: ignore case of characters in prompt 
Ignore-this: 1b6d417b5d707a95d2d6e6dc6aff7a4b
History
Date User Action Args
2013-07-19 13:20:05owstcreate
2013-07-19 13:34:15ghsetmessages: + msg16917
2013-07-19 13:40:47owstsetmessages: + msg16918
2014-01-26 13:16:05DaniilFruminsetnosy: + DaniilFrumin
messages: + msg17143
2014-02-09 16:01:25noreplysetstatus: unknown -> resolved
messages: + msg17189
resolvedin: 2.10.0 HEAD